Project

General

Profile

Bug #75648

Correctly call the iocage bridge_cmd

Added by Paul Mahon over 1 year ago. Updated about 1 year ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

An update showed in the webgui today, so I installed it. The OS Version in the dashboard now shows
FreeNAS-11.2-U2

Prior to update, It was FreeNAS-11.2-RELEASE-U1

After some initial weirdness which required me to clear my browser cache to even look at the installed VMs, plugins, and jails, one problem remains.

I have one jail that will not start, either from the UI or from the CLI. Error message follows:

root@freenas[~]# iocage start qBit
  • Starting qBit
    + Started OK
    Traceback (most recent call last):
    File "/usr/local/bin/iocage", line 10, in <module>
    sys.exit(cli())
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 722, in call
    return self.main(*args, **kwargs)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return process_result(sub_ctx.command.invoke(sub_ctx))
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
    File "/usr/local/lib/python3.6/site-packages/iocage_cli/start.py", line 54, in cli
    ioc.IOCage(jail=jail, rc=rc).start()
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
    callback=self.callback
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in init
    self.
    _start_jail__()
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 415, in start_jail
    vnet_err = self.start_network(vnet)
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 598, in start_network
    err = self.start_network_interface_vnet(nic, net_configs, jid)
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 624, in start_network_interface_vnet
    membermtu = self.find_bridge_mtu(bridge)
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 975, in find_bridge_mtu
    su.check_call(bridge_cmd, stdout=su.PIPE, stderr=su.PIPE)
    UnboundLocalError: local variable 'bridge_cmd' referenced before assignment

-------------------------
I also note that when stopping the jail, an error message appears about tearing down vnet failing with the message ifconfig: interface vnet0:x does not exist, and the "x" increments every time I try to start/stop the jail.

Screen Shot 2019-02-27 at 10.35.21 AM.png (73.8 KB) Screen Shot 2019-02-27 at 10.35.21 AM.png Bonnie Follweiler, 02/27/2019 07:51 AM
Screen Shot 2019-02-27 at 10.36.16 AM.png (16.4 KB) Screen Shot 2019-02-27 at 10.36.16 AM.png Bonnie Follweiler, 02/27/2019 07:52 AM
Screen Shot 2019-02-27 at 10.36.08 AM.png (18.1 KB) Screen Shot 2019-02-27 at 10.36.08 AM.png Bonnie Follweiler, 02/27/2019 07:52 AM
Screen Shot 2019-02-27 at 10.58.37 AM.png (40.9 KB) Screen Shot 2019-02-27 at 10.58.37 AM.png Bonnie Follweiler, 02/27/2019 08:09 AM
Screen Shot 2019-02-27 at 11.10.52 AM.png (26.9 KB) Screen Shot 2019-02-27 at 11.10.52 AM.png Bonnie Follweiler, 02/27/2019 08:11 AM
debug-freenastestingQE-20190227111405.tgz (144 KB) debug-freenastestingQE-20190227111405.tgz FreeNAS-11.2-U2 debug Bonnie Follweiler, 02/27/2019 08:14 AM
Screen Shot 2019-02-27 at 11.16.11 AM.png (69.8 KB) Screen Shot 2019-02-27 at 11.16.11 AM.png The jail seeting whilw running in FreeNAS-11.2-U2 Bonnie Follweiler, 02/27/2019 08:16 AM
Screen Shot 2019-02-27 at 11.13.04 AM.png (3.59 KB) Screen Shot 2019-02-27 at 11.13.04 AM.png the vnet_default_interface in FreeNAS-11.2-U2 Bonnie Follweiler, 02/27/2019 08:17 AM
Screen Shot 2019-02-27 at 11.28.39 AM.png (30.9 KB) Screen Shot 2019-02-27 at 11.28.39 AM.png Bonnie Follweiler, 02/27/2019 08:30 AM
Screen Shot 2019-02-27 at 11.28.28 AM.png (48.1 KB) Screen Shot 2019-02-27 at 11.28.28 AM.png Bonnie Follweiler, 02/27/2019 08:31 AM
debug-freenastestingQE-20190227112847.tgz (154 KB) debug-freenastestingQE-20190227112847.tgz Debug from FreeNAS-11.2-U2.1 Bonnie Follweiler, 02/27/2019 08:31 AM
Screen Shot 2019-02-27 at 11.41.57 AM.png (22.6 KB) Screen Shot 2019-02-27 at 11.41.57 AM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 11.42.20 AM.png (29.8 KB) Screen Shot 2019-02-27 at 11.42.20 AM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 12.08.46 PM.png (79.7 KB) Screen Shot 2019-02-27 at 12.08.46 PM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 12.08.05 PM.png (54.6 KB) Screen Shot 2019-02-27 at 12.08.05 PM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 12.09.17 PM.png (77.9 KB) Screen Shot 2019-02-27 at 12.09.17 PM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 12.10.06 PM.png (70.8 KB) Screen Shot 2019-02-27 at 12.10.06 PM.png Jeff Ervin, 02/27/2019 09:51 AM
Screen Shot 2019-02-27 at 12.50.11 PM.png (76.4 KB) Screen Shot 2019-02-27 at 12.50.11 PM.png Jeff Ervin, 02/27/2019 09:51 AM
56559
56568
56569
56586
56595
56614
56622
56631
56641
56667
56668
56676
56677
56685
56686
56694

Related issues

Related to FreeNAS - Bug #69204: Use default value of auto for vnet_default_interface in new UIDone
Related to FreeNAS - Bug #62361: Migrate users to 'auto' with iocage vnet_default_interfaceDone
Has duplicate FreeNAS - Bug #75676: Not all plugins will start after reboot from update - starting them manually gives an errorClosed
Has duplicate FreeNAS - Bug #75703: VNET in iocage not working after 11.2-U2 installClosed
Has duplicate FreeNAS - Bug #75694: Plugin network error and not updatingClosed
Has duplicate FreeNAS - Bug #75838: Plug-ins and Jails no longer get IP Addresses since UpdateClosed
Has duplicate FreeNAS - Bug #75964: Plex jail error after 11.2-U2 upgradeClosed
Has duplicate FreeNAS - Bug #76062: All iocages report ERROR on DHCPv4Closed
Has duplicate FreeNAS - Bug #76197: Plex Plugin Stopped Functioning after update FreeNAS-11.2-U2Closed
Has duplicate FreeNAS - Bug #76855: IOCage some jails not starting - Error local variable 'bridge_cmd' referenced before assignmentClosed
Has duplicate FreeNAS - Bug #76287: 11.2-U2 iocage networking issuesClosed
Has duplicate FreeNAS - Bug #77052: Regression: 11.2 with U2 — Plex plugin fails to start after update 2Closed
Has duplicate FreeNAS - Bug #76890: Cannot start jailClosed
Has duplicate FreeNAS - Bug #76270: igb1 Seemingly unusableClosed
Has duplicate FreeNAS - Bug #78295: Can't install a new plugin - (Nextcloud)Closed

History

#1 Updated by Dru Lavigne over 1 year ago

  • Reason for Blocked set to Need additional information from Author

Paul: which version was that jail originally created on?

#2 Updated by Paul Mahon over 1 year ago

Dru Lavigne wrote:

Paul: which version was that jail originally created on?

11.2-RELEASE-U1 was the initial install on this machine, and it is the version in which the jail was created.

I should note that I attempted an iocage update on the jail, but messages indicated no updates were necessary.

#3 Updated by Dru Lavigne over 1 year ago

  • Related to Bug #69204: Use default value of auto for vnet_default_interface in new UI added

#4 Updated by Dru Lavigne over 1 year ago

  • Related to Bug #62361: Migrate users to 'auto' with iocage vnet_default_interface added

#5 Updated by Victor Zink over 1 year ago

Paul Mahon wrote:

Dru Lavigne wrote:

Paul: which version was that jail originally created on?

11.2-RELEASE-U1 was the initial install on this machine, and it is the version in which the jail was created.

I should note that I attempted an iocage update on the jail, but messages indicated no updates were necessary.

Same for me. I just created a new jail this morning on 11.2 U1, now failing to start immediately after applying the 11.2 U2 update and rebooting.

#6 Updated by Dru Lavigne over 1 year ago

  • Category changed from Plugins to Middleware
  • Assignee changed from Release Council to William Grzybowski
  • Reason for Blocked deleted (Need additional information from Author)

#8 Updated by Dru Lavigne over 1 year ago

  • Seen in set to 11.2-U2

#9 Updated by Hans Vos over 1 year ago

Networking isn't working for me either since the update. Using VNET for my networking also.

#10 Updated by William Grzybowski over 1 year ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to 11.2-U3

#11 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #75676: Not all plugins will start after reboot from update - starting them manually gives an error added

#12 Updated by Janus Ng over 1 year ago

All 3 plugins of mine created on both FreeNAS 11.2-RELEASE-U1 and 11.2-RELEASE have this issue.

#13 Updated by Christian Eiden over 1 year ago

Same here

#14 Updated by Simon Altevogt over 1 year ago

Confirmed.
Happens to me as well after upgrade to U2. I tried fiddling with the network config of a jail (setting it to fixed IP and then back again to DHCP) as I found an earlier post that mentioned saving the jail again can fix it. After that test I got the traceback as reported by Paul earlier.
Had to rollback to U1. Now all jails are communicating again.

#15 Updated by Marc Eymann over 1 year ago

Same here, all jails network not working

#16 Updated by Ashley Keep over 1 year ago

Same here too. I get an popup error message which says "UnbounrdLocalError. local variable 'bridge_cmd' referenced before assignment" when i try to start a Plex jail.

#17 Updated by Max Kruschwitz over 1 year ago

Same problem here. iocage jails with DHCP fail with the same vnet related error message posted above.

As a workaround I got my jails working with static IP addresses for now:
  1. Stop the jail with: iocage stop myjail
  2. Change the jail to a static IP address. In the web GUI: Jails: myjail:
    1. Uncheck: DHCP Autoconfigure IPv4
    2. Uncheck: VNET
    3. Uncheck: Berkeley Packet Filter
    4. Set: IPv4 Address
    5. Set: IPv4 Netmask
    6. Set: IPv4 Default Router
  3. Start the jail with: iocage start myjail

#18 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #75703: VNET in iocage not working after 11.2-U2 install added

#19 Updated by Thorsten Behrens over 1 year ago

No bridge0 interface that I can see in ifconfig

[root@freenas ~]# ifconfig
igb0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500        options=6403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>        ether ac:1f:6b:70:50:d8        hwaddr ac:1f:6b:70:50:d8
        nd6 options=9<PERFORMNUD,IFDISABLED>
        media: Ethernet autoselect (1000baseT <full-duplex>)
        status: active
igb1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=6403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether ac:1f:6b:70:50:d8
        hwaddr ac:1f:6b:70:50:d9
        nd6 options=9<PERFORMNUD,IFDISABLED>
        media: Ethernet autoselect (1000baseT <full-duplex>)
        status: active
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
        options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
        inet6 ::1 prefixlen 128
        inet6 fe80::1%lo0 prefixlen 64 scopeid 0x3
        inet 127.0.0.1 netmask 0xff000000
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
        groups: lo
lagg0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=6403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether ac:1f:6b:70:50:d8
        inet6 fe80::ae1f:6bff:fe70:50d8%lagg0 prefixlen 64 scopeid 0x4
        inet6 2601:199:1:5cd0:ae1f:6bff:fe70:50d8 prefixlen 64 autoconf
        inet 192.168.3.8 netmask 0xffffff00 broadcast 192.168.3.255
        nd6 options=23<PERFORMNUD,ACCEPT_RTADV,AUTO_LINKLOCAL>
        media: Ethernet autoselect
        status: active
        groups: lagg
        laggproto lacp lagghash l2,l3,l4
        laggport: igb0 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
        laggport: igb1 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>

In the jail itself it's only lo0:

root@plexmediaserver-plexpass:~ # ifconfig
lo0: flags=8008<LOOPBACK,MULTICAST> metric 0 mtu 16384
        options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
        groups: lo

#20 Updated by Bernhard Frauendienst over 1 year ago

This seems to be fixed in iocage 1.0 (https://github.com/iocage/iocage/commit/9a69abd69c2834dca6213ba147dfcb2ab34f7d95), however `iocage --version` on 11.2-U2 prints Version 1.0 ALPHA 1

#21 Updated by Geoff T over 1 year ago

Bernhard Frauendienst wrote:

This seems to be fixed in iocage 1.0 (https://github.com/iocage/iocage/commit/9a69abd69c2834dca6213ba147dfcb2ab34f7d95), however `iocage --version` on 11.2-U2 prints Version 1.0 ALPHA 1

Bernhard Frauendienst wrote:

This seems to be fixed in iocage 1.0 (https://github.com/iocage/iocage/commit/9a69abd69c2834dca6213ba147dfcb2ab34f7d95), however `iocage --version` on 11.2-U2 prints Version 1.0 ALPHA 1

Confirm same.

As U1 also uses Alpha 1 is it possible this fix in U2 https://redmine.ixsystems.com/issues/62361 triggered the problem, given it seems to be related to missing bridge_cmd?

#22 Updated by David Meier over 1 year ago

Changing the "vnet_default_interface" properties of one(!) of the vnet jails to "auto" (was "none") fixed the problem for me (even for the other jails).

#23 Updated by Hans Vos over 1 year ago

David Meier wrote:

Changing the "vnet_default_interface" properties of one(!) of the vnet jails to "auto" (was "none") fixed the problem for me (even for the other jails).

Did you change this manually in the jail configuration file or through the FreeNAS GUI?

#24 Updated by David Meier over 1 year ago

Hans Vos wrote:

David Meier wrote:

Changing the "vnet_default_interface" properties of one(!) of the vnet jails to "auto" (was "none") fixed the problem for me (even for the other jails).

Did you change this manually in the jail configuration file or through the FreeNAS GUI?

I used the FreeNAS GUI. No problems so far, even after reboot.

#25 Updated by Thorsten Behrens over 1 year ago

That's in "Network Properties". I had to uncheck and recheck the "DHCP Autoconfigure" in Basic before the "Save" button would become available. Saved with vnet_default_interface auto and started jail, came up without issue. Thanks!!

#26 Updated by Thorsten Behrens over 1 year ago

Confirmed that this also resolves plugin installation. Choose "Advanced Plugin Installation", set vnet_default_interface to Auto in Network Properties, and Save. Without that step, plugin installation will fail complaining about bridge_cmd.

#27 Updated by Rafal Lukawiecki over 1 year ago

Same issue. Jails originally upgraded from 11.1 warden, but all were working well in 11.2-U1. Save button in GUI not available after changing vnet_default_interface and even after checking/rechecking other boxes. Rolled back to U1 for now.

#28 Updated by Robin Slot over 1 year ago

I needed to turn off "DHCP Autoconfigure IPv4" and then turn it back on (I couldn't even click "SAVE" when editing the jail if I didn't)

#29 Updated by Robin Slot over 1 year ago

Rafal Lukawiecki wrote:

Same issue. Jails originally upgraded from 11.1 warden, but all were working well in 11.2-U1. Save button in GUI not available after changing vnet_default_interface and even after checking/rechecking other boxes. Rolled back to U1 for now.

Make sure to uncheck and recheck the autoconfigure ipv4 box, that fixed it for me

#30 Updated by Thorsten Behrens over 1 year ago

It looks like there is a step when upgrading from U1 that "may or may not" happen. First attempt to upgrade to U2, vnet_default_interface was None. Second attempt - delete the boot environment, upgrade again - that property was set to "auto" without me needing to do that manually.

#31 Updated by Rafal Lukawiecki over 1 year ago

Tried again, having switched boot environments back to U1 (no "auto" option available) and to U2, but this time, "auto" was no longer there. Tried with ix0 interface (first in the list) failed with error "List index out of range" when trying to start the jail. However, after that fail "auto" has appeared in the list, and I was able to select it, and save, using the checkbox tick/untick method on "DHCP Autoconfigure IPv4". Jails working again, thank you.

The reason "Save" was not available to me earlier, even when I thought I was ticking/unticking the "DHCP Autoconfigure IPv4" could have been because I have ticked/unticked a different option, most likely "ip4_saddrsel", which does not activate the Save button.

#32 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #75694: Plugin network error and not updating added

#33 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #75838: Plug-ins and Jails no longer get IP Addresses since Update added

#34 Updated by B. Meyers over 1 year ago

David Meier wrote:

Changing the "vnet_default_interface" properties of one(!) of the vnet jails to "auto" (was "none") fixed the problem for me (even for the other jails).

I had to do this with both of my jails. Changing one did not change the other. One is a proper jail and the other is a plugin, in case that makes a difference.

#35 Updated by Haydn Walker over 1 year ago

Thorsten Behrens wrote:

Confirmed that this also resolves plugin installation. Choose "Advanced Plugin Installation", set vnet_default_interface to Auto in Network Properties, and Save. Without that step, plugin installation will fail complaining about bridge_cmd.

I don't get either an "Advanced Plugin Installation" option when trying to install a plugin - nor do i get an "auto" option in the vnet_default_interface of my Network Properties of my Jails...(only get re0 or bridge0 in there and neither works)

I changed my remaining plugin (I deleted PLEX to re-install when it didn't work - still can't re-install it with this same error) - to use re0 and it now works. It's annoying that I can't get the "Advanced Plugin Installation" button though.

#36 Updated by Haydn Walker over 1 year ago

Update - I manually created a Jail using the "Advanced" Configuration and manually installed plex - all working now :)

#37 Updated by Brandon Schneider over 1 year ago

  • Status changed from Unscreened to In Progress

This is fortunately an easy workaround for anybody who's experiencing this :) As long as you do not require a specific vnet_default_interface, this process should work great for you.

If you have CLI experience, this requires changing one property for each jail and the defaults. This won't be possible in the UI at this current time unfortunately.

Issue this on the FreeNAS CLI:

/bin/sh -c 'export JAILS="$(iocage list -h | cut -f 2)"; for jail in $JAILS; do iocage set vnet_default_interface=auto $jail; done; iocage set vnet_default_interface=auto default'

#38 Updated by Bug Clerk over 1 year ago

  • Status changed from In Progress to Ready for Testing

#40 Updated by Dru Lavigne over 1 year ago

  • Subject changed from vnet failing after update from 11.2-RELEASE-U1 to FreeNAS-11.2-U2 to Correctly call the iocage bridge_cmd
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#41 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #75964: Plex jail error after 11.2-U2 upgrade added

#42 Updated by Magnus Magnusman over 1 year ago

Just a little heads up it looks like the update process for freenas got somewhat borked.

On a full fresh install of 11.2 U2 the issue don't show up but on the update they do.

Had to fix a friends nas after this and since he doesn't have much in the way of media i decided to do a test with a fresh install.
The update had all the reported issue but a fresh clean install of it had none of the ones reported just after the update came out.

#43 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #76062: All iocages report ERROR on DHCPv4 added

#44 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #76197: Plex Plugin Stopped Functioning after update FreeNAS-11.2-U2 added

#45 Updated by Disk Didler over 1 year ago

Brandon Schneider wrote:

This is fortunately an easy workaround for anybody who's experiencing this :) As long as you do not require a specific vnet_default_interface, this process should work great for you.

If you have CLI experience, this requires changing one property for each jail and the defaults. This won't be possible in the UI at this current time unfortunately.

Issue this on the FreeNAS CLI:
[...]

Brandon, if I run this command on an 11.2 U1 system BEFORE updating it.
Would it result in working jails, after said update?

#46 Updated by Brandon Schneider over 1 year ago

Disk: No do this after, the property won’t have that value in U1.

#47 Updated by Disk Didler over 1 year ago

Brandon Schneider wrote:

Disk: No do this after, the property won’t have that value in U1.

2 things.

1, thank you.

2, offtopic but important question:

Can we / do we / will we have a way to switch to a beta train and when that train becomes final / released, stick with it BACK on normal releases?

I am sometimes more than willing to test FreeNAS, other times I'm not.
In this instance, obviously I missed this bug as I was back on the normal train, so I feel bad about missing it.

My reluctance though, stems from the inability for me to switch to a "slightly" beta train and then, when it's final - lock it in and stay with that final for a while, till I'm feeling brave again.

I'd be ok testing updates penned in for 11.2 U3 (but not beyond) when 11.2 U3 ships, I'd like to be able to 'stick on it' few a few months, before testing 11.2 U4.
Etc

Does this make sense?

#48 Updated by Disk Didler over 1 year ago

Well the command worked and all the jails are fine, except for my one I was testing last time. I guess I damaged it.

Any tips which setting I got wrong?

root@freenas[~]# iocage start sickchill && iocage start sabnzbd2 && iocage start couchpotato && iocage list
  • Starting sickchill
    + Started OK
    + Configuring VNET OK
    ifconfig: illegal option -- f
    usage: ifconfig [-L] [-C] [-g groupname] interface address_family [address [dest_address]]
    [parameters]
    ifconfig interface create
    ifconfig -a [-L] [-C] [-g groupname] [-d] [-m] [-u] [-v] [address_family]
    ifconfig -l [-d] [-u] [address_family]
    ifconfig [-L] [-C] [-g groupname] [-d] [-m] [-u] [-v]
    Traceback (most recent call last):
    File "/usr/local/bin/iocage", line 10, in <module>
    sys.exit(cli())
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 722, in call
    return self.main(*args, **kwargs)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return process_result(sub_ctx.command.invoke(sub_ctx))
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
    File "/usr/local/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
    File "/usr/local/lib/python3.6/site-packages/iocage_cli/start.py", line 54, in cli
    ioc.IOCage(jail=jail, rc=rc).start()
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
    callback=self.callback
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in init
    self.
    _start_jail__()
    File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 455, in start_jail
    "message": " + Acquiring DHCP address: FAILED,"
    UnboundLocalError: local variable 'addr' referenced before assignment

#49 Updated by Disk Didler over 1 year ago

EDIT: it's ok I got it - thanks guys.

I hope to get on some kind of "mostly stable beta" train at some point so I can test, just not bleeding edge, sometime in the future.

#50 Updated by Bart Pe over 1 year ago

Same issue.

Adding vnet_default_interface=auto did not helped in my case.

What worked

I've installed same plugin in 11.2-U2.
copied config.json from it to my original jail with replacement of the following

mac vnet0_mac
host_hostname
host_hostuuid

Then
iocage stop jail
iocage start jail

done

#51 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #76855: IOCage some jails not starting - Error local variable 'bridge_cmd' referenced before assignment added

#52 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #76287: 11.2-U2 iocage networking issues added

#53 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #77052: Regression: 11.2 with U2 — Plex plugin fails to start after update 2 added

#54 Updated by Dru Lavigne over 1 year ago

  • Has duplicate Bug #76890: Cannot start jail added

#55 Updated by Dru Lavigne over 1 year ago

  • Target version changed from 11.2-U3 to 11.2-U2.1

#56 Updated by Joe Maloney over 1 year ago

Brandon,
Please cherry-pick your fix and push to this branch for 11.2-u2.1:

https://github.com/freenas/iocage/tree/freenas/11.2-u2.1

#57 Updated by William Grzybowski over 1 year ago

https://github.com/freenas/iocage/pull/169

Acceptance Criteria

Install 11.2-RELEASE and install plugins with vnet enabled.
Upgrade to 11.1-U2 and verify it has issues starting the plugin as noted in this ticket.
Upgrade to 11.1-U2.1 and verify it fixes the issue.

#58 Updated by Dru Lavigne about 1 year ago

  • Has duplicate Bug #76270: igb1 Seemingly unusable added

#59 Updated by Bonnie Follweiler about 1 year ago

56559
56568
56569

In the New GUI:
Installing a plugin doesn't give the Vnet Interface option nor the Advanced Plugins Installation button in 11.2RELEASE
Installing a jail does give the option so I will test in a jail first
Installed the jail and it ran. Autostart is enabled
Upgraded to FN 11.2-U2
The jail didn't start and there was an error as users reported
I upgraded to FreeNAS-11.2-U2.1
The jail was not running.
I tried to start it and got the vnet error message
I went into the advanced options and changed the vnet default interface to Auto, from none, and (we also have to removed the "DHCP Not Running" that auto fills the ipv4 address to enable the Save button- there is a ticket on that issue for the New GUI) saved the changes.
The jail now starts and is running

#60 Updated by William Grzybowski about 1 year ago

What vnet error message? Can you also add the debug, please?

#63 Updated by Bonnie Follweiler about 1 year ago

56631
56641

I upgraded to FreeNAS-11.2-U2.1
The IPv4 Address is now filled with DHCP (not running) for the jail
When I try to start the jail I get:
Stopped test_jail due to VNET failure
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 581, in start
iocage.start()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
callback=self.callback
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in init
self.
_start_jail__()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 491, in start_jail
_callback=self.callback)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
_callback(content, exception)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
raise callback_exception(message)
RuntimeError:
Stopped test_jail due to VNET failure
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in call
return await self._call_worker(serviceobj, name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
job,
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError:
Stopped test_jail due to VNET failure

The IPv4 Address is filled in and the vnet_default_interface is set to none
I saved a debug

After I removed the "DHCP (not running)" from the IPv4 Address and I changed the vnet_default_interface to Auto, when I start it the jail gets an IP address and it runs

The jail is set to auto start so I rebooted the system and the jail is up and running

#64 Updated by Brandon Schneider about 1 year ago

  • Status changed from Failed Testing to In Progress

Bonnie, can you paste what your defaults.json looks like?

/mnt/POOL/iocage/defaults.json

#67 Updated by Brandon Schneider about 1 year ago

  • Status changed from Failed Testing to In Progress

Jeff the fix is in U2.1 not U2

#68 Updated by Jeff Ervin about 1 year ago

  • Status changed from In Progress to Failed Testing

#69 Updated by William Grzybowski about 1 year ago

Jeff, you cannot set a ticket in status "In Progress" to "Failed Testing", please. If its In Progress means we are already aware and working on a fix.

#70 Updated by William Grzybowski about 1 year ago

  • Status changed from Failed Testing to In Progress

#71 Updated by Bug Clerk about 1 year ago

  • Status changed from In Progress to Ready for Testing

#72 Updated by Bug Clerk about 1 year ago

#73 Updated by Bug Clerk about 1 year ago

  • Target version changed from 11.2-U2.1 to 11.2-U3

#74 Updated by Dru Lavigne about 1 year ago

  • Target version changed from 11.2-U3 to 11.2-U2.1

#75 Updated by Bonnie Follweiler about 1 year ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Test Passed
Created a jail and plugin in 11.2 RELEASE with auto startup
Upgraded to FreeNAS-11.2-U2.1 (Build Date: Feb 27, 2019 20:59)and both started automatically
I could start and stop them with no errors

#76 Updated by Dru Lavigne about 1 year ago

  • Status changed from Passed Testing to Done

#78 Updated by Dru Lavigne about 1 year ago

  • Has duplicate Bug #78295: Can't install a new plugin - (Nextcloud) added

#79 Updated by Rafal Lukawiecki about 1 year ago

I wonder if this issue is related to a new problem, which I have just encountered. Following the advice given above, I have managed to get jails working in U2. Today, I tried upgrading to U2.1 and all the jails show in the UI as "CORRUPTED". I have reverted to U2.

#80 Updated by Brandon Schneider about 1 year ago

Rafal: Try the suggestion at the bottom in #78097

#81 Updated by Rafal Lukawiecki about 1 year ago

Thank you Brandon—is 78097 a private bug? I get 403 when I try to open the link.

#82 Updated by Brandon Schneider about 1 year ago

Try again, I unprivated it. The solution may need tweaking to your individual situation, but the root cause is likely similar.

Also available in: Atom PDF